## Service-side Connection and Channel Anonymity interfaces

Service-side Connection and Channel Anonymity interfaces — GInterfaces to implement the Anonymity interfaces

## Functions

void | tp_svc_connection_interface_anonymity_emit_anonymity_modes_changed ()

## Signals

void | anonymity-modes-changed | Has Details

## Types and Values

| TpSvcConnectionInterfaceAnonymity
| TpSvcConnectionInterfaceAnonymityClass
| TpSvcChannelInterfaceAnonymity
| TpSvcChannelInterfaceAnonymityClass

## Object Hierarchy

        GInterface
        ├── TpSvcChannelInterfaceAnonymity
        ╰── TpSvcConnectionInterfaceAnonymity

## Includes

    #include <telepathy-glib/telepathy-glib-dbus.h>

## Description

In some protocols, mainly those that interact with the PSTN, it's possible to make a call without disclosing the originating identity (e.g. phone number). The Anonymity interfaces on the Connection and Channel can be used to control this feature in Telepathy.

This section documents the auto-generated GInterfaces used to implement the Anonymity interfaces.

## Functions

### tp_svc_connection_interface_anonymity_emit_anonymity_modes_changed ()

    void
    tp_svc_connection_interface_anonymity_emit_anonymity_modes_changed
                                   (gpointer instance,
                                    guint arg_Modes);

Type-safe wrapper around g_signal_emit to emit the AnonymityModesChanged signal on interface org.freedesktop.Telepathy.Connection.Interface.Anonymity.

#### Parameters

instance | The object implementing this interface |
arg_Modes | guint (FIXME, generate documentation) |

## Types and Values

### TpSvcConnectionInterfaceAnonymity

    typedef struct _TpSvcConnectionInterfaceAnonymity TpSvcConnectionInterfaceAnonymity;

Dummy typedef representing any implementation of this interface.

### TpSvcConnectionInterfaceAnonymityClass

    typedef struct _TpSvcConnectionInterfaceAnonymityClass TpSvcConnectionInterfaceAnonymityClass;

The class of TpSvcConnectionInterfaceAnonymity. This interface has no D-Bus methods, so an implementation can typically pass `NULL` to `G_IMPLEMENT_INTERFACE()` as the interface initialization function.

### TpSvcChannelInterfaceAnonymity

    typedef struct _TpSvcChannelInterfaceAnonymity TpSvcChannelInterfaceAnonymity;

Dummy typedef representing any implementation of this interface.

### TpSvcChannelInterfaceAnonymityClass

    typedef struct _TpSvcChannelInterfaceAnonymityClass TpSvcChannelInterfaceAnonymityClass;

The class of TpSvcChannelInterfaceAnonymity. This interface has no D-Bus methods, so an implementation can typically pass `NULL` to `G_IMPLEMENT_INTERFACE()` as the interface initialization function.

## Signal Details

### The `“anonymity-modes-changed”` signal

    void
    user_function (TpSvcConnectionInterfaceAnonymity *self,
                   guint                              arg_Modes,
                   gpointer                           user_data)

The AnonymityModesChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Modes | guint (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details